function [ParameterSet] = LeafParam (LeafParameterName)
% 1st dim = experiment number, 2nd dim = B, S, SigmaFactor

if LeafParameterName == 1 % One fixed NLM
    ParameterSet = [1, 5, .7];
elseif LeafParameterName == 2 % 2 random NLM + self
    ParameterSet = zeros (3, 3);
    ParameterSet (2:end, 1) = unidrnd (3, 2, 1);   % between 1 and 3
    ParameterSet (2:end, 2) = unidrnd (9, 2, 1)+1; % between 2 and 10
    ParameterSet (2:end, 3) = 0.6*rand (2, 1)+.4;  % between .6 and 1
elseif LeafParameterName == 3 % 2 random NLM + self (with PCA)
    ParameterSet = zeros (3, 4);
    ParameterSet (2:end, 1) = unidrnd (3, 2, 1);   % between 1 and 3
    ParameterSet (2:end, 2) = unidrnd (9, 2, 1)+1; % between 2 and 10
    ParameterSet (2:end, 3) = 0.6*rand (2, 1)+.4;  % between .6 and 1
    ParameterSet (2:end, 4) = 8; % project on 8-dimensional subspace
else            
    error ('Unknown leaf parameter name')
end;