function [P] = TreeParam (TreeParameterName)
% SigmaNoise     = std of the added noise
% PCADims        = number of PCA, can be a number = PCA reduction from (2*B+1)^2 to this number, Inf = no PCA reduction, NaN = random PCA reduction from 6 to (2*B+1)^2
% Name           = Images' name

%% For the tree

if TreeParameterName == 1 % Paper's revision
    P.SigmaNoise     = [20]; % [15, 25, 40]; % Std of additive noise
    P.PCAdims        = [8]; % Inf for no PCA
    P.Name           = {'peppers256'};
elseif TreeParameterName == 2 % Paper's revision
    P.SigmaNoise     = [20]; % [15, 25, 40]; % Std of additive noise
    P.PCAdims        = [NaN]; % Inf for no PCA
    P.Interpolation  = {'linear'}; % In case of NIntervals = 0, set to nearest
    P.Name           = {'Cameraman256'};
elseif TreeParameterName == 3 % Paper's revision
    P.SigmaNoise     = [20]; % [15, 25, 40]; % Std of additive noise
    P.PCAdims        = [NaN]; % Inf for no PCA
    P.Name           = {'house'};
elseif TreeParameterName == 4 % Paper's revision
    P.SigmaNoise     = [20]; % [15, 25, 40]; % Std of additive noise
    P.PCAdims        = [NaN]; % Inf for no PCA
    P.Name           = {'Lena512'};

else
    error ('Unknown tree parameter name')
end;